Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::InterpretationRuleRangeRAW Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::InterpretationRuleRangeRAW Struct Reference

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask) More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleRangeRAW:

## Public Attributes
long | min
| minimum accepted value (always compare as unsigned)
long | max
| maximum accepted value (always compare as unsigned)
long | mask
| (0 = not masked, the same as 0xFFFF...)
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask)

Definition at line 467 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ mask

long peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::mask

(0 = not masked, the same as 0xFFFF...)

Definition at line 470 of file GatewaySensorManager.idl.

## ◆ max

long peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::max

maximum accepted value (always compare as unsigned)

Definition at line 469 of file GatewaySensorManager.idl.

## ◆ min

long peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::min

minimum accepted value (always compare as unsigned)

Definition at line 468 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl